Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::Abc::ALEMBIC_VERSION_NS::ICompoundProperty Class Reference
Inheritance diagram for Alembic::Abc::ALEMBIC_VERSION_NS::ICompoundProperty:
[legend]
Collaboration diagram for Alembic::Abc::ALEMBIC_VERSION_NS::ICompoundProperty:
[legend]

## Public Types
typedef ICompoundProperty | this_type

## Public Member Functions
| ICompoundProperty ()
| ICompoundProperty (const ICompoundProperty &iParent, const std::string &iName, const Argument &iArg0=Argument())
| ICompoundProperty (AbcA::CompoundPropertyReaderPtr iPtr, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ICompoundProperty (AbcA::CompoundPropertyReaderPtr iPtr, WrapExistingFlag, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ICompoundProperty (const IObject &iObject, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ICompoundProperty (const IObject &iObject, TopFlag, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ~ICompoundProperty ()
size_t | getNumProperties () const
| Returns the number of properties contained in this ICompoundProperty.
const AbcA::PropertyHeader & | getPropertyHeader (size_t i) const
const AbcA::PropertyHeader * | getPropertyHeader (const std::string &iName) const
ICompoundProperty | getParent () const
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::CompoundPropertyReaderPtr >
const AbcA::PropertyHeader & | getHeader () const
const std::string & | getName () const
AbcA::PropertyType | getPropertyType () const
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const AbcA::MetaData & | getMetaData () const
const AbcA::DataType & | getDataType () const
AbcA::TimeSamplingPtr | getTimeSampling () const
IObject | getObject () const
AbcA::CompoundPropertyReaderPtr | getPtr () const
void | reset ()
bool | valid () const
| ALEMBIC_OPERATOR_BOOL (valid())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
ErrorHandler & | getErrorHandler () const
ErrorHandler::Policy | getErrorHandlerPolicy () const

## Additional Inherited Members
Protected Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::CompoundPropertyReaderPtr >
typedef IBasePropertyT< AbcA::CompoundPropertyReaderPtr > | this_type
typedef IBasePropertyT< AbcA::CompoundPropertyReaderPtr > | operator_bool_base_type
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::CompoundPropertyReaderPtr >
| IBasePropertyT ()
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
| Base (ErrorHandler::Policy iPolicy)
| Base (const Base &iCopy)
Base & | operator= (const Base &iCopy)
bool | valid () const
void | reset ()
Protected Attributes inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::CompoundPropertyReaderPtr >
AbcA::CompoundPropertyReaderPtr | m_property

## Member Typedef Documentation

## ◆ this_type

typedef ICompoundProperty Alembic::Abc::ALEMBIC_VERSION_NS::ICompoundProperty::this_type

By convention we always define this_type in Abc classes Used by unspecified-bool-type conversion below

## Constructor & Destructor Documentation

## ◆ ICompoundProperty() [1/4]

Alembic::Abc::ALEMBIC_VERSION_NS::ICompoundProperty::ICompoundProperty | ( |  | ) |
| inline

The default constructor creates an empty ICompoundProperty function set. ...

## ◆ ICompoundProperty() [2/4]

Alembic::Abc::ALEMBIC_VERSION_NS::ICompoundProperty::ICompoundProperty | ( | const ICompoundProperty & | iParent,
|  | const std::string & | iName,
|  | const Argument & | iArg0 = Argument() )

This constructor creates a new compound property reader. The first argument is the parent ICompundProperty, from which the error handler policy for inheritance is also derived. The remaining optional arguments can be used to override the ErrorHandlerPolicy, and that's it.

## ◆ ICompoundProperty() [3/4]

Alembic::Abc::ALEMBIC_VERSION_NS::ICompoundProperty::ICompoundProperty | ( | AbcA::CompoundPropertyReaderPtr | iPtr,
|  | const Argument & | iArg0 = Argument(),
|  | const Argument & | iArg1 = Argument() )

This attaches an ICompoundProperty wrapper around an existing CompoundPropertyReaderPtr, with an optional error handling policy.

The extra argument is to support ISchema, which is publicly derived from ICompoundProperty (see ISchema.h).

## ◆ ICompoundProperty() [4/4]

Alembic::Abc::ALEMBIC_VERSION_NS::ICompoundProperty::ICompoundProperty | ( | const IObject & | iObject,
|  | const Argument & | iArg0 = Argument(),
|  | const Argument & | iArg1 = Argument() )

This attaches an ICompoundProperty wrapper around the top properties of any object, with an optional error handling policy.

The extra argument is to support ISchema, which is publicly derived from ICompoundProperty (see ISchema.h).

## ◆ ~ICompoundProperty()

Alembic::Abc::ALEMBIC_VERSION_NS::ICompoundProperty::~ICompoundProperty | ( |  | ) |

Default copy constructor used Default assignment operator used.

Destructor ...

## Member Function Documentation

## ◆ getParent()

ICompoundProperty Alembic::Abc::ALEMBIC_VERSION_NS::ICompoundProperty::getParent | ( |  | ) | const

There is no distinction between already added properties and created properties with an AbcA::CompoundPropertyReader, therefore we have no need to expose "getProperty". Simply use the appropriate IScalarProperty, ICompoundProperty, or IArrayProperty wrappers.

Return the parent compound property, handily wrapped in a ICompoundProperty wrapper.

## ◆ getPropertyHeader() [1/2]

const AbcA::PropertyHeader * Alembic::Abc::ALEMBIC_VERSION_NS::ICompoundProperty::getPropertyHeader | ( | const std::string & | iName | ) | const

Return the header of a property name. This will return a NULL pointer if no header by that name is found.

## ◆ getPropertyHeader() [2/2]

const AbcA::PropertyHeader & Alembic::Abc::ALEMBIC_VERSION_NS::ICompoundProperty::getPropertyHeader | ( | size_t | i | ) | const

Return the header of a child property. Property is selected by index. This will throw an exception on out-of-range access.

The documentation for this class was generated from the following files:

- Abc/ICompoundProperty.h
- Abc/ICompoundProperty.cpp